Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20026

Description

I have two polygon layers, both with snapping on and both with 'avoid intersections' ticked.

I expect that when I reshape a polygon in one layer, overlapping a polygon in the other layer, that the final generated line will be flush with

the existing polygon, i.e. with the same behavious as when digitising a polygon and it overlaps another in the same layer. However, the

reshaped part is accepted regardless.

I also expect reshape to result in a flush original border when my reshape overlaps a polygon in the same layer. However in this case it

cookie cuts the overlapped polygon.

I would think all these workflows should behave the same as if digitising a new polygon, or is that assumption incorrect?

History

#1 - 2014-12-08 04:23 AM - Giovanni Manghi

- Category changed from Edit widget to Digitising

I agree that at least core tools should be work as expected regarding the "avoid intersection". This should also be extended (or suggested) for most of the

plugins that make available digitizing tools.

Duplicate of #11069

#2 - 2016-03-10 12:21 AM - Arnaud Morvan

Pull request proposed : https://github.com/qgis/QGIS/pull/2342

#3 - 2016-03-10 12:22 AM - Arnaud Morvan

This relates with #11069

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-10-16 12:54 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes
https://github.com/qgis/QGIS/pull/2342


- Description updated

- Status changed from Open to Closed

- Resolution set to fixed/implemented
